stages:
  - build
  - test
  - deploy_staging

maven-build:
  image: maven:3-jdk-8
  stage: build
  script: 
    - export ACCOUNT_SID="$ACCOUNT_SID"
    - export AUTH_ID="$AUTH_ID"
    - "mvn package -B"

deploy-staging:
  stage: deploy_staging
  image: ruby:latest
  script:
  - apt-get update -qy
  - apt-get install -y ruby-dev
  - gem install dpl
  - export ACCOUNT_SID=$ACCOUNT_SID
  - export AUTH_ID=$AUTH_ID
  - dpl --provider=heroku --app=$STAGING_ENV --api-key=$HEROKU_API_KEY
